Jump to content

[ SOLVED ] Module Template installer : does not work?


Recommended Posts

Hello!

 

I tried to use the template installer (themeinstallator) to export and import a template in Prestashop 1.5.3.1. Export seems ok but when I do import it, I got "The zip file seems to be corrupted".

 

Any idea about what could be the issue?

 

Thx!

Edited by be_tnt (see edit history)

Share this post


Link to post
Share on other sites

Fixed on github: https://github.com/P...taShop/pull/208

 

 

Automatic upgrade of modules doesn't work anymore in 1.5.3.1 because $module->database_version is now set in __construct, so when the new module to upgrade is instanciated, it overwrites the old version, and versions which are comparated are now the same... So no upgrade is launched...

 

Fix is in classes/module/Module.php : https://github.com/Patanock/PrestaShop/commit/7d1bed84078c1362355fe85348a5da5f38f0906d

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More